Open SCAP Library

Data Structures | Typedefs | Functions
oval_reference.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_definitions_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "common/debug_priv.h"`
`#include "common/util.h"`

## Data Structures
struct | oval_reference
| An Oval_reference links an Oval_definition to a definitive external reference. More...

## Typedefs
typedef struct oval_reference | oval_reference_t

## Functions
bool | oval_reference_iterator_has_more (struct oval_reference_iterator *oc_reference)
struct oval_reference * | oval_reference_iterator_next (struct oval_reference_iterator *oc_reference)
void | oval_reference_iterator_free (struct oval_reference_iterator *oc_reference)
char * | oval_reference_get_source (struct oval_reference *ref)
char * | oval_reference_get_id (struct oval_reference *ref)
char * | oval_reference_get_url (struct oval_reference *ref)
struct oval_reference * | oval_reference_new (struct oval_definition_model *model)
struct oval_reference * | oval_reference_clone (struct oval_definition_model *new_model, struct oval_reference *old_reference)
void | oval_reference_free (struct oval_reference *ref)
void | oval_reference_set_source (struct oval_reference *ref, char *source)
void | oval_reference_set_id (struct oval_reference *ref, char *id)
void | oval_reference_set_url (struct oval_reference *ref, char *url)
int | oval_reference_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oval_reference_consumer consumer, void *user)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/